#ifndef SENSOR_CONSOLE_H_INCLUDED
#define SENSOR_CONSOLE_H_INCLUDED
#include <Arduino.h>

/** Other scripts can use this namespace, in order to define commands, via callbacks.
 * Those callbacks can then be used to send commands to the sensor (reset, calibrate, night mode, ...)
 * The callbacks can either have no parameter, or one int32_t parameter.
 */

namespace sensor_console {
  void defineCommand(const char *command, void (*function)(void), const __FlashStringHelper *ifsh);
  void defineIntCommand(const char *command, void (*function)(int32_t), const __FlashStringHelper *ifsh);

  void processSerialInput(const byte in_byte);
  void runCommand(const char *command);
}

#endif
